Assignee:  % Done: 100%

Category: libaudcore Estimated time: 0.00 hour

Target version: 3.7.1   

Affects version: 3.7   

Description

Would it be possible to add a checkbox in the Filewriter plugin settings to turn off equalizer and any current "effects" plugins whilst

writing to file via Filewriter (ie. recording)?  Pbm. is that when listening to a stream, I have my desired effects and equalizer on, and

often forget / don't have time to turn them off before starting recording.  Then, when playing back the file later in a playlist (with the

same effects and equalizer still on, as normal), the effects are reapplied (doubled down on) on playback!  Therefore, it's necessary

and desirable to record "raw" so that the effects, etc. are only applied on playback, once!

Thanks,

Jim

History

#1 - November 21, 2015 18:40 - John Lindgren

- Affects version 3.7 added

- Affects version deleted (3.8)

There should definitely be a choice of whether to record the pre-effect or post-effect stream.

#2 - December 10, 2015 04:47 - John Lindgren

This is fixed in master; you have 4 options:

1. Record stream exactly as decoded

2. Record stream after applying Replay Gain correction (the default)

3. Record stream after applying Replay Gain and effects

4. Record stream after applying Replay Gain, effects, and equalization

Also fixed is a bug where changing the primary output plugin (or even changing the bit depth) would stop the recording, reset all the effects, and start

recording to a new file.  I plan on porting some of the fixes back to 3.7.1.

#3 - December 10, 2015 07:06 - Jim Turner

- File libaudgui.prefs-window.cc.patch added

Yes, thankyou!

I've just merged this in and lightly tested it out and it seems to work well, at least for #1, which is the "raw" that I was looking for.  The others will

require quite a bit of work to test completely.  If you really want to get fancy, you could make these checkboxes and the user could select which the

three (or none) to apply, but this fully addresses my orig. request as-is!

One other little indirectly-related nit:  Why are the Record [Settings] and [About] buttons disabled EXCEPT when recording?  I tried undoing this (see

attached) a while back w/o issue (so far) permitting quicker settings adjustments prior to turning recording on (w/o having to change to Filewriter

plugin & change there - which I assume this is what this button is for.  Did you mean to have them disabled DURING recording, maybe?  That would

seem to make more sense.
Thanks again!

Jim

#4 - December 10, 2015 14:50 - John Lindgren

Jim Turner wrote:

One other little indirectly-related nit:  Why are the Record [Settings] and [About] buttons disabled EXCEPT when recording?  I tried undoing this

(see attached) a while back w/o issue (so far) permitting quicker settings adjustments prior to turning recording on (w/o having to change to

Filewriter plugin & change there - which I assume this is what this button is for.  Did you mean to have them disabled DURING recording,

maybe?  That would seem to make more sense.

 

It's a technical issue, the plugin settings can't be accessed unless the plugin is enabled.  So to fix this, we need to enable and initialize the FileWriter

plugin without actually starting recording.  It's doable but I haven't had time to implement it yet.

#5 - December 12, 2015 19:23 - John Lindgren

- Category changed from plugins/filewriter to libaudcore

- Status changed from New to Closed

- Target version set to 3.7.1

- % Done changed from 0 to 100

Files

libaudgui.prefs-window.cc.patch 898 BytesDecember 10, 2015 Jim Turner
